## org.hibernate.event.spi
Interface SaveOrUpdateEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultSaveEventListener, DefaultSaveOrUpdateEventListener, DefaultUpdateEventListener, EJB3SaveEventListener, EJB3SaveOrUpdateEventListener

    public interface SaveOrUpdateEventListener

extends Serializable

Defines the contract for handling of update events generated from a session.

Method Summary
`void` `onSaveOrUpdate(SaveOrUpdateEvent event)` Handle the given update event.

Method Detail

### onSaveOrUpdate

    void onSaveOrUpdate(SaveOrUpdateEvent event)
                        throws HibernateException

  Handle the given update event.

  Parameters:
    `event` - The update event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.